<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node3.html" />
<link rel="prev" href="front.html" />
<link rel="parent" href="front.html" />
<link rel="next" href="node3.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>1 Installation Requirements</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="Front Matter"
  href="front.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="Front Matter"
  href="front.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2 set up your"
  href="node3.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="front.html">Front Matter</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="front.html">Front Matter</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node3.html">2 Set up your</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h1><a name="SECTION001100000000000000000">
1 Installation Requirements</a>
</h1>

<p>
<em>Please note that the information on this page may be out of date.</em>
Check for the
<a class="ulink" href="http://wiki.list.org/x/bAM"
  >latest installation information</a> on the
<a class="ulink" href="http://wiki.list.org"
  >Mailman wiki</a>.

<p>
GNU Mailman works on most POSIX-based systems such as <span class="Unix">Unix</span>, MacOSX, or
GNU/Linux.  It does not currently work on Windows.  You must have a mail
server that you can send messages to, and a web server that supports the
CGI/1.1 API.  <a class="ulink" href="http://httpd.apache.org"
  >Apache</a> makes a fine choice for
web server, and mail servers such as
<a class="ulink" href="http://www.postfix.org"
  >Postfix</a>,
<a class="ulink" href="http://www.exim.org"
  >Exim</a>,
<a class="ulink" href="http://www.sendmail.org"
  >Sendmail</a>, and
<a class="ulink" href="http://cr.yp.to/qmail.html"
  >qmail</a> should
work just fine.

<p>
To install Mailman from source, you will need an ANSI C compiler to build
Mailman's security wrappers.  The
<a class="ulink" href="http://gcc.gnu.org"
  >GNU C compiler gcc</a> works well.

<p>
You must have the <a class="ulink" href="http://www.python.org"
  >Python</a> interpreter installed
somewhere on your system.  As of this writing, Python 2.4.4 is recommended,
but see the wiki page above for the latest information.

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="Front Matter"
  href="front.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="Front Matter"
  href="front.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2 set up your"
  href="node3.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="front.html">Front Matter</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="front.html">Front Matter</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node3.html">2 Set up your</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
